Unofficial OpenGL Software Development Kit: glload Namespace Reference

Unofficial OpenGL Software Development Kit 0.5.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Functions
glload Namespace Reference
GL Load C++ interface

The core namespace for the C++ interface for the OpenGL initialization functions. More...

## Classes

class | LoadTest
| Stores data to detect if an extension loaded correctly. More...

## Functions

glload::LoadTest | LoadFunctions ()
| Loads all of the function pointers available. More...
int | GetMajorVersion ()
int | GetMinorVersion ()
int | IsVersionGEQ (int testMajorVersion, int testMinorVersion)
glload::LoadTest | LoadFunctions (HDC hdc)
| Loads all of the function pointers available. More...
glload::LoadTest | LoadFunctions (Display *display, int screen)
| Loads all of the function pointers available. More...

## Detailed Description

The core namespace for the C++ interface for the OpenGL initialization functions.

## Function Documentation

int glload::GetMajorVersion | ( |  | ) |

This function retrieves the major GL version number. Only works after LoadFunctions has been called.

int glload::GetMinorVersion | ( |  | ) |

This function retrieves the minor GL version number. Only works after LoadFunctions has been called.

int glload::IsVersionGEQ | ( | int | testMajorVersion,
|  | int | testMinorVersion
| ) |  |

Returns non-zero if the current GL version is greater than or equal to the given version.

glload::LoadTest glload::LoadFunctions | ( |  | ) |

Loads all of the function pointers available.

Loads function pointers for OpenGL. This function will also load the core OpenGL functions (ie: not in extensions). It will only load the version and profile specified by the current OpenGL context. So if you get a 3.2 compatibility context, then it will load only try to load 3.2 compatibility in addition to any available extensions.

Returns
  A sys::LoadTest object that defines whether the loading was successful.

glload::LoadTest glload::LoadFunctions | ( | Display * | display,
|  | int | screen
| ) |  |

Loads all of the function pointers available.

Loads function pointers for GLX extensions.

Returns
  A sys::LoadTest object that defines whether the loading was successful.

glload::LoadTest glload::LoadFunctions | ( | HDC | hdc | ) |

Loads all of the function pointers available.

Loads function pointers for WGL extensions.

Returns
  A sys::LoadTest object that defines whether the loading was successful.